hopenssl: FFI Bindings to OpenSSL's EVP Digest Interface

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain]

Warnings:

Foreign-function bindings to the OpenSSL library. Currently provides access to the messages digests MD5, DSS, DSS1, RIPEMD160, and various SHA variants through the EVP digest interface.

Properties

Versions1.0, 1.1, 1.2, 1.3, 1.4, 1.6, 1.6.1, 1.6.2, 1.7, 2, 2.1, 2.2, 2.2.1, 2.2.1, 2.2.2
Change logNone available
Dependenciesbase (>=4.6 && <5), bytestring [details]
LicenseBSD-3-Clause
Copyright(c) 2004-2017 Peter Simons
AuthorPeter Simons, Markus Rothe
MaintainerPeter Simons <simons@cryp.to>
CategoryForeign, Cryptography
Home pagehttp://github.com/peti/hopenssl
Source repositoryhead: git clone git://github.com/peti/hopenssl.git
UploadedFri Jul 7 11:52:25 UTC 2017 by PeterSimons

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees